[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#659333: marked as done (libapt-inst1.4, libapt-pkg4.12: "Multi-Arch: same" but not co-installable with themselves)

Your message dated Fri, 13 Apr 2012 19:02:19 +0000
with message-id <E1SIllD-0000aa-FQ@franck.debian.org>
and subject line Bug#659333: fixed in apt 0.9.0~exp1
has caused the Debian Bug report #659333,
regarding libapt-inst1.4, libapt-pkg4.12: "Multi-Arch: same" but not co-installable with themselves
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

659333: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=659333
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: apt
Version: 0.8.16~exp12
Severity: normal
User: multiarch-devel@lists.alioth.debian.org
Usertags: multiarch

libapt-inst1.4 and libapt-pkg4.12 are marked as "Multi-Arch: same" but the
translation files (usr/share/locale/*/LC_MESSAGES/libapt-inst1.4.mo and
/usr/share/locale/*/LC_MESSAGES/libapt-pkg4.12.mo) differ on each architecture.

--- End Message ---
--- Begin Message ---
Source: apt
Source-Version: 0.9.0~exp1

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

  to main/a/apt/apt-doc_0.9.0~exp1_all.deb
  to main/a/apt/apt-transport-https_0.9.0~exp1_amd64.deb
  to main/a/apt/apt-utils_0.9.0~exp1_amd64.deb
  to main/a/apt/apt_0.9.0~exp1.dsc
  to main/a/apt/apt_0.9.0~exp1.tar.gz
  to main/a/apt/apt_0.9.0~exp1_amd64.deb
  to main/a/apt/libapt-inst1.5_0.9.0~exp1_amd64.deb
  to main/a/apt/libapt-pkg-dev_0.9.0~exp1_amd64.deb
  to main/a/apt/libapt-pkg-doc_0.9.0~exp1_all.deb
  to main/a/apt/libapt-pkg4.12_0.9.0~exp1_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659333@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Thu, 12 Apr 2012 12:40:39 +0200
Source: apt
Binary: apt libapt-pkg4.12 libapt-inst1.5 apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.9.0~exp1
Distribution: experimental
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
 apt        - commandline package manager
 apt-doc    - documentation for APT
 apt-transport-https - https download transport for APT
 apt-utils  - package managment related utility programs
 libapt-inst1.5 - deb package format runtime library
 libapt-pkg-dev - development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - documentation for APT development
 libapt-pkg4.12 - package managment runtime library
Closes: 639008 649340 659333 663372 664833 665833
 apt (0.9.0~exp1) experimental; urgency=low
   [ Michael Vogt ]
   * apt-pkg/packagemanager.cc:
     - fix inconsistent clog/cout usage in the debug output
     - add APT::pkgPackageManager::MaxLoopCount to ensure that the
       ordering code does not get into a endless loop when it flip-flops
       between two states
   * update libapt-inst1.4 to libapt-inst1.5 because of the cleanup
   * prepare debian/unstable upload, if there are no issues with this
     upload it will directly go into unstable as 0.9.0
   [ David Kalnischkies ]
   * do not update po and pot files in the process of the build as this
     causes timestamp changes for the mo files which therefore can't
     be refcounted by dpkg for your M-A: same packages
     (Closes: #659333, LP: #924628)
   * apt-inst/database.{cc,h}, apt-inst/deb/dpkgdb.{cc,h}:
     - drop instead of fix as it is only needed if you want to reimplement dpkg
       and comes straight from the beginning of last decade (Closes: #663372)
   * apt-inst/deb/debfile.cc:
     - {Extract,Merge}Control() is another instance of "lets reimplement dpkg"
       so shot of this code before someone ends up using this…
   * debian/libapt-pkg4.12:
     - update symbols file
   * debian/apt-utils.install:
     - ship the ftparchive, apt-extractemplates and apt-sortpkgs locales
       in the apt-utils package instead of the apt package
   * apt-pkg/packagemanager.cc:
     - recheck all dependencies if we changed a package in SmartConfigure
       as this could break an earlier dependency (LP: #940396)
     - recheck dependencies in SmartUnpack after a change, too
   * apt-pkg/acquire-worker.cc:
     - check return of write() as gcc recommends
   * apt-pkg/acquire.cc:
     - check return of write() as gcc recommends
   * apt-pkg/cdrom.cc:
     - check return of chdir() and link() as gcc recommends
   * apt-pkg/clean.cc:
     - check return of chdir() as gcc recommends
   * apt-pkg/contrib/netrc.cc:
     - check return of asprintf() as gcc recommends
   * methods/rred.cc:
     - check return of writev() as gcc recommends
   * methods/mirror.cc:
     - check return of chdir() as gcc recommends
   * apt-pkg/deb/dpkgpm.cc:
     - check return of write() a gcc recommends
   * apt-inst/deb/debfile.cc:
     - check return of chdir() as gcc recommends
   * apt-inst/deb/dpkgdb.cc:
     - check return of chdir() as gcc recommends
   * methods/makefile:
     - do not link rred against libz anymore as FileFd handles all
       this transparently now
   * debian/control:
     - bump Standards-Version to 3.9.3 (no changes needed)
     - add libbz2-dev as new build-dependency
     - remove the libz-dev alternative from zlib1g-dev build-dependency
     - suggest xz-utils instead of bzip2 and lzma
   * doc/apt-get.8.xml:
     - typofix: respect → respecting, thanks Mike Erickson! (Closes: #664833)
   * debian/rules:
     - do not sed in configure.in to set the version-number
   * prepare-release:
     - add as a small script to lazy check and prepare releases
   * doc/*:
     - move the command synopsis out of each manpage into apt-verbatim.ent
       as they are a hell to translate and just single out the parameters
       which can be translated to apt.ent
   * apt-pkg/aptconfiguration.cc:
     - if present, prefer xz binary over lzma
     - if we have zlib builtin insert add a dummy gzip compressor for FileFD
     - do the same for bz2 builtin if available
   * methods/bzip2.cc:
     - remove it as the functionality for all compressors can be
       provided by gzip.cc now with the usage of FileFD
   * apt-pkg/contrib/fileutl.cc:
     - use libz2 library for (de)compression instead of the bzip2 binary as
       the first is a dependency of dpkg and the later just priority:optional
       so we gain 'easier' access to bz2-compressed Translation files this way
   * cmdline/apt-get.cc:
     - print list of autoremoves in alphabetical order (Closes: #639008)
   [ Bogdan Purcareata ]
   * doc/apt-get.8.xml:
     - add 'download' to the usage line (Closes: #649340)
   * cmdline/apt-get.cc:
     - distinguish information about 'apt-get autoremove' based on the
       number of auto-removed packages both before and after the list
       of packages (Closes: #665833)
   [ Steve Langasek ]
   * don't treat build-depends-indep as cross-build-dependencies; we should
     always install the host arch versions.  LP: #968828.
   [ Paolo Rotolo ]
   * Fix string from automatic to automatically (LP: #967393).
 6cf38c3cdc9432934f579954db59e8731f2df9a1 1683 apt_0.9.0~exp1.dsc
 318cc0f79aabbaacdc05f78dbdb957d8f9047808 3413262 apt_0.9.0~exp1.tar.gz
 4f93e04b6831b1242ef71cd975a93f4e7d13bd7a 253746 apt-doc_0.9.0~exp1_all.deb
 7787e00fe07327b9041d0519f779e9c808d8d80a 829986 libapt-pkg-doc_0.9.0~exp1_all.deb
 70a34d3740030defeddc80302ee2744020474680 873750 libapt-pkg4.12_0.9.0~exp1_amd64.deb
 91d76fa5d44198a754d6264c7617bf92945838bc 156832 libapt-inst1.5_0.9.0~exp1_amd64.deb
 712a4a9af27126c2fddcc55e61fc858320661e7c 1157058 apt_0.9.0~exp1_amd64.deb
 932aa265091cb4a0b67b62a3d3d7cee3bfa4d84d 176936 libapt-pkg-dev_0.9.0~exp1_amd64.deb
 ddc2aab3616a2616b6a68b35491d63640fbf6ee3 369274 apt-utils_0.9.0~exp1_amd64.deb
 985a7a62ebe73295699aac1b6d22be68affe1e60 99956 apt-transport-https_0.9.0~exp1_amd64.deb
 c6f98df00a474edcca42310460688753f01cca2f0f8ae6cc4ef73d1a6bcfcabc 1683 apt_0.9.0~exp1.dsc
 b55707b6016e687bc179f8edbdd43d5f01b35f7fa383eca080f8089f4613a4ec 3413262 apt_0.9.0~exp1.tar.gz
 32504563db694384bcc6bcd1d03dbc919349d72808e556011430861aeb796b3d 253746 apt-doc_0.9.0~exp1_all.deb
 8cd2d7e61d336e357dccfb3bbd9dd8d291a5f2b406fe384f40d11c236cb32672 829986 libapt-pkg-doc_0.9.0~exp1_all.deb
 174b081e4d7da2935a059d81314b7775a90173897d8c5798bb77740e36bac2f2 873750 libapt-pkg4.12_0.9.0~exp1_amd64.deb
 591d498d2fea61203cda82eafb804f22c17bff7bddcad077deb9157b07e56d15 156832 libapt-inst1.5_0.9.0~exp1_amd64.deb
 6694c6ed784342a65363a949d29b202a2c61b6fcfa2ed0215b3c7e76c63bd403 1157058 apt_0.9.0~exp1_amd64.deb
 64adc317cfc85e5b37278aade4951612f4d8701706f5876488a1619d876e28df 176936 libapt-pkg-dev_0.9.0~exp1_amd64.deb
 4fd82e5d7d3c4e94b2d162ecf85137a804f137919e3bddb03b17b60f0e93741a 369274 apt-utils_0.9.0~exp1_amd64.deb
 137cbb1a1e35099b90a54dbdcf9496970a2cb7a5e5712630373efca92c0ee6f8 99956 apt-transport-https_0.9.0~exp1_amd64.deb
 5187ac2aeff92780855ac10da0e28e13 1683 admin important apt_0.9.0~exp1.dsc
 a9b4f2a8237e5f368637fb0902a8aa3c 3413262 admin important apt_0.9.0~exp1.tar.gz
 cda54791c40175e7a4f7062e9e0a0e3d 253746 doc optional apt-doc_0.9.0~exp1_all.deb
 557b70a4795c9445f8e94c1d681380d6 829986 doc optional libapt-pkg-doc_0.9.0~exp1_all.deb
 1fb9c18c5e54adc2623e07dc3b88af39 873750 admin important libapt-pkg4.12_0.9.0~exp1_amd64.deb
 d90329d7451a985a38de824193fbdd3e 156832 admin important libapt-inst1.5_0.9.0~exp1_amd64.deb
 947d9f44d7425e500534212b16c1fbea 1157058 admin important apt_0.9.0~exp1_amd64.deb
 6586904a9bb0b64cd9d38137bcde7cb4 176936 libdevel optional libapt-pkg-dev_0.9.0~exp1_amd64.deb
 584f69ddd8d6c3c63f5b7b62b38331ac 369274 admin important apt-utils_0.9.0~exp1_amd64.deb
 0e416ee32e5bda214f8db35667de85c5 99956 admin optional apt-transport-https_0.9.0~exp1_amd64.deb

Version: GnuPG v1.4.12 (GNU/Linux)


--- End Message ---

Reply to: